# No Testcase run by default. To enable: rpm(or rpmbuild) -ba --define 'dotests 1' gzip*.spec
%{!?dotests: %define dotests 0}
Name:           lbzip2
Version:        2.5
Release:        1
Summary:        Fast, multi-threaded bzip2 utility
Group:          Applications/File
License:        GPLv2+
URL:            https://github.com/kjn/lbzip2 
Source0:        https://github.com/downloads/kjn/%{name}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
lbzip2 is an independent, multi-threaded implementation of bzip2. It is
commonly the fastest SMP (and uniprocessor) bzip2 compressor and decompressor.

lbzip2 integrates nicely with GNU tar. 


%prep
%setup -q


%build
export CC="gcc -maix64"
export CFLAGS="-O2"
export OBJECT_MODE=64
export LDFLAGS="-Wl,-blibpath:/usr/lib:/lib"

./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir}

gmake %{?_smp_mflags}

if [ "%{dotests}" == 1 ]
then
    (gmake -i check || true)
fi


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

make install DESTDIR=${RPM_BUILD_ROOT}

/usr/bin/strip -X64 ${RPM_BUILD_ROOT}%{_bindir}/lbzip2 || :

%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc AUTHORS COPYING ChangeLog* NEWS README
%{_bindir}/*
%{_mandir}/man1/*


%changelog
* Thu Feb 18 2019 Ayappan P <ayappap2@in.ibm.com> - 2.5-1
- AIX Toolbox release

* Thu Mar 27 2014 Michael Perzl <michael@perzl.org> - 2.5-1
- updated to version 2.5

* Mon Mar 17 2014 Michael Perzl <michael@perzl.org> - 2.4-1
- updated to version 2.4

* Tue Aug 07 2012 Michael Perzl <michael@perzl.org> - 2.2-1
- updated to version 2.2

* Thu Dec 22 2011 Michael Perzl <michael@perzl.org> - 2.1-2
- fixed list of dependencies, new homepage and new project description

* Thu Nov 24 2011 Michael Perzl <michael@perzl.org> - 2.1-1
- updated to version 2.1

* Mon Nov 07 2011 Michael Perzl <michael@perzl.org> - 0.23-1
- first version for AIX V5.1 and higher
